.ts-portfoliobox-style-12 .themestek-post-item,
.ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-portfoliobox-style-12 .themestek-box-featured-image .themestek-item-thumbnail{
    transition: 0.3s ease-in-out;
}
.themestek-boxes-element-portfolio-style-12 .ts-box-col-wrapper{
    width: 100%;
    margin-bottom: 0 !important;
    cursor: pointer;
}
.ts-portfoliobox-style-12 .themestek-post-item{
    display: flex;
    justify-content: space-between;
    padding: 30px 0;
    border-top: 1px solid rgba(var(--tste-optico-primary-darkbgcolor-rgb), 0.15);
    height: 145px;
}
.tste-active .ts-portfoliobox-style-12 .themestek-post-item{
    height: 420px;
}
.ts-box-col-wrapper:last-child .ts-portfoliobox-style-12 .themestek-post-item{
    border-bottom: 1px solid rgba(var(--tste-optico-primary-darkbgcolor-rgb), 0.15);
}
.ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3{
    font-size: 32px;
    line-height: 40px;
    letter-spacing: -0.5px;
    font-weight: 600;
    margin: 0;
}
.ts-portfoliobox-style-12 .themestek-box-category a {
	display: inline-block;
	font-size: 13px;
	line-height: 23px;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 1px;
	padding: 5px 20px;
	border-radius: 20px;
	border:  1px solid rgba(var(--tste-optico-primary-darkbgcolor-rgb), 0.15);
    white-space: nowrap;
}
.ts-portfoliobox-style-12 .themestek-box-category a:hover {
    background-color: var(--tste-optico-skincolor);
    color: #fff;
}
.ts-portfoliobox-style-12 .ts-portfolio-btn {
    font-size: 13px;
    line-height: 23px;
    color: var(--tste-optico-primary-darkbgcolor);
    display: inline-block;
    letter-spacing: 1px;
}
.ts-portfoliobox-style-12 .ts-portfolio-btn:hover {
	color: var(--tste-optico-skincolor);
}
.ts-portfoliobox-style-12 .ts-portfolio-btn i{
    position: relative;
    font-size: 22px;
    top: 2px;
	color: var(--tste-optico-skincolor);
}
.ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper,
.ts-portfoliobox-style-12 .themestek-box-title-wrapper{
    display: grid;
    gap: 100px;
}
.ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper .themestek-box-desc,
.ts-portfoliobox-style-12 .themestek-box-title-wrapper .themestek-pf-box-title{
    align-self: self-start;
}
.ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper .ts-portfolio-btn-wrapper,
.ts-portfoliobox-style-12 .themestek-box-title-wrapper .themestek-box-category{
    align-self: self-end;
}
.ts-portfoliobox-style-12 .themestek-box-featured-image img{
    border-radius: 30px;
}
.ts-portfoliobox-style-12 .themestek-number{
    width: 2%;
}
.ts-portfoliobox-style-12 .themestek-box-title-wrapper{
    width: 19%;
    padding: 0 0 10px 0;
}
.ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper{
    width: 25%;
    padding: 20px 0;
}
.ts-portfoliobox-style-12 .themestek-box-featured-image{
    width: 25%;
}
.ts-portfoliobox-style-12.themestek-box .themestek-box-desc p,
.ts-portfoliobox-style-12.themestek-box .themestek-box-desc{
	margin:0;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
}
.ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon{
    position: absolute;
    top: 50%;
    right: 0;
    -khtml-transform: translateX(0%) translateY(-50%) scale(1);
    -moz-transform: translateX(0%) translateY(-50%) scale(1);
    -ms-transform: translateX(0%) translateY(-50%) scale(1);
    -o-transform: translateX(0%) translateY(-50%) scale(1);
    transform: translateX(0%) translateY(-50%) scale(1); 
    border: 1px solid rgba(var(--tste-optico-primary-darkbgcolor-rgb), 0.15);
    height: 55px;
    width: 55px;
    line-height: 52px;
    text-align: center;
    border-radius: 50%;
    font-size: 20px;
    color: var(--tste-optico-primary-darkbgcolor);
}
.tste-active .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-portfoliobox-style-12 .themestek-box-featured-image .themestek-item-thumbnail{
    transform: scale(0);
}
.tste-active .ts-portfoliobox-style-12 .themestek-box-featured-image .themestek-item-thumbnail{
    transform: scale(1);
}

/* Bg Color */
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a,

.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12.themestek-box .themestek-box-desc,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12.themestek-box .themestek-box-desc,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12.themestek-box .themestek-box-desc,

.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-box-category a,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-box-category a,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-box-category a,

.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,

.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .ts-portfolio-btn,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .ts-portfolio-btn,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .ts-portfolio-btn,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-number h3{
    color: #fff;
}
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .ts-portfolio-btn:hover,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .ts-portfolio-btn:hover,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .ts-portfolio-btn:hover,
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a:hover,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a:hover,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 a:hover{
    color: #ffffff86;
}
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,

.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-box-category a,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-box-category a,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-box-category a{
    border-color: #ffffff52;
}
.ts-elementor-bg-color-primarydarkgrey .ts-box-col-wrapper:last-child .ts-portfoliobox-style-12 .themestek-post-item,
.ts-elementor-bg-color-skincolor .ts-box-col-wrapper:last-child .ts-portfoliobox-style-12 .themestek-post-item, 
.ts-elementor-bg-color-darkgrey .ts-box-col-wrapper:last-child .ts-portfoliobox-style-12 .themestek-post-item,
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-post-item,
.ts-elementor-bg-color-skincolor .ts-portfoliobox-style-12 .themestek-post-item,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-post-item{
    border-color: #ffffff1f;
}
.ts-elementor-bg-color-primarydarkgrey .ts-portfoliobox-style-12 .themestek-number h3,
.ts-elementor-bg-color-darkgrey .ts-portfoliobox-style-12 .themestek-number h3{
    color: var(--tste-optico-skincolor);
}

@media (max-width: 13666px) { 
	.ts-portfoliobox-style-12 .themestek-box-featured-image img{
        height: 360px;
        object-fit: cover;
    }
}
@media (max-width: 1024px) { 
	.tste-active .ts-portfoliobox-style-12 .themestek-post-item {
        height: 300px;
    }
    .ts-portfoliobox-style-12 .themestek-box-featured-image img {
        height: 240px;
    }
    .ts-portfoliobox-style-12 .themestek-post-item .themestek-pf-box-title h3 {
        font-size: 24px;
        line-height: 30px;
    }
    .ts-portfoliobox-style-12 .themestek-box-title-wrapper {
        width: 230px;
        padding: 0;
    }
    .ts-portfoliobox-style-12 .themestek-number {
        width: 50px;
    }
    .ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper {
        width: 300px;
        padding: 0px 0;
    }
}
@media (max-width: 767px) { 
    .ts-portfoliobox-style-12 .themestek-post-item {
        display: grid;
        gap: 30px;
    }
    .ts-portfoliobox-style-12 .themestek-box-featured-image img,
    .ts-portfoliobox-style-12 .themestek-post-item,
    .tste-active .ts-portfoliobox-style-12 .themestek-post-item {
        height: auto;
    }
    .ts-portfoliobox-style-12 .themestek-box-featured-image,
    .ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper,
    .ts-portfoliobox-style-12 .themestek-box-title-wrapper,
    .ts-portfoliobox-style-12 .themestek-number{
        width: 100%;
    }
    .ts-portfoliobox-style-12 .themestek-box-desc-btn-wrapper,
    .ts-portfoliobox-style-12 .themestek-box-title-wrapper{
        gap: 10px;
    }
    .ts-portfoliobox-style-12 .themestek-box-featured-image{
        padding: 30px 0 0 0;
    }
    .ts-portfoliobox-style-12 .themestek-box-featured-image .ts-plus-icon,
    .ts-portfoliobox-style-12 .themestek-box-featured-image .themestek-item-thumbnail{
        transform: scale(1);
    }
}